%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-glance
Version:        10.3.0
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Glance
License:        Apache-2.0

URL:            https://launchpad.net/puppet-glance

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=4ec5c5c83e5c45bb3400077f4db8a3af7ef2789a
Patch0001: 0001-Load-Glance-DB-metadefs.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Glance

%prep
%setup -q -n openstack-glance-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/



%files
%{_datadir}/openstack-puppet/modules/glance/


%changelog
* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 10.3.0-2
- Load Glance DB metadefs

* Fri Feb 10 2017 Haikel Guemar <hguemar@fedoraproject.org> 10.3.0-1
- Update to 10.3.0


